#include "lpc214x.h"
#include "system.h"
#include "pll.h"

void pll_initialisierung (void)
{
PLLCFG   = ( PLL_MUL | (PLL_DIV << 5));

// Aktivierung der PLL, dann FEED Sequenz bermitteln.
PLLCON   = PLL_ENABLE;
PLLFEED  = PLL_FEED_BYTE1;
PLLFEED  = PLL_FEED_BYTE2;

// Warten, bis der PLL an der gewnschten Frequenz ist... 
while( !( PLLSTAT & PLL_LOCK ) );

// Nun die PLL Frequenz bentzen und dann nochmals die FEED Sequenz bermitteln,
// damit die Einstellungen bernommen werden.
PLLCON   = PLL_CONNECT;
PLLFEED  = PLL_FEED_BYTE1;
PLLFEED  = PLL_FEED_BYTE2;

VPBDIV   = PBSD | XCLKDIV;      // VPB Bus Clock ist der gleiche wie der Prozessor Clock (peripheral devices pclk)
}
